package simulation_Lab12Version;

/**
 * This interface encapsulates a listener for a data model. The data model is be
 * part of a model-view-controller architecture. Typically, a class that is
 * serving as a view would implement this interface, so that it could update
 * itself whenever the model changes.
 * 
 * @author mb
 * 
 */
public interface ModelListener {

	/**
	 * Method that is invoked when this listener wishes to respond or to react
	 * to a change that originated in whichever object this listener is
	 * listening to. In this version of the listener, the interface stipulates
	 * precisely what this object is.
	 */
	public void changed();

}
