package sprites;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Polygon;

/**
 * @author mb
 * 
 */
public class MyProjectileSprite extends ProjectileSprite {

	/**
	 * Instantiates a sprite that is has projectile behaviours.
	 * 
	 * @param widthOfDrawingRegion
	 * @param heightOfDrawingRegion
	 * @param initialPosition
	 * @param xDisplacement
	 * @param yDisplacement
	 */
	public MyProjectileSprite(int widthOfDrawingRegion,
			int heightOfDrawingRegion, Point initialPosition,
			int xDisplacement, int yDisplacement) {
		super(widthOfDrawingRegion, heightOfDrawingRegion, xDisplacement,
				yDisplacement);

		Polygon theShape = new Polygon();
		// specify the shape relative to the origin (upper left corner)
		int size = 6;
		theShape.addPoint(0, -0);
		theShape.addPoint(size, size);
		theShape.addPoint(-size, size);
		setTheBoundingShape(theShape);

		setAnchorPoint(initialPosition);

		setLive(true);
		setFresh(true);

	}

	@Override
	public void draw(Graphics2D g) {
		if (isLive()) {
			// Render this sprite
			if (isFresh())
				g.setColor(Color.RED);
			else
				g.setColor(Color.DARK_GRAY);

			// g.rotate(angularDisplacement,
			// theShape.getBounds2D().getCenterX(),
			// theShape.getBounds2D().getCenterY());

			g.drawPolygon(getTheBoundingShape());
			g.fillPolygon(getTheBoundingShape());
			// System.out.println("drawing polygon: " + getTheEnclosingShape()+
			// "/t" + get);
			// System.out.println("drawing polygon: " + getAnchorPoint());

			// g.rotate(-angularDisplacement,
			// theShape.getBounds2D().getCenterX(),
			// theShape.getBounds2D().getCenterY());

		}
	}
}